@media (pointer:coarse) {
    body {
        font-size: 2em;
    }
}

body {
    font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;

    h1 {
        text-decoration: underline;
    }

    div.container{
        /*text-align: center;*/
        max-width: 70rem;
        margin: auto;
    }

    div.chern-input, div.output-display {
        margin-top: 2em;
    }

    div.chern-input {
        /*display: inline-block;*/
        margin: auto;
        width: fit-content;
        font-size: 1.7em;
        input {
            font-size: 1em;
            max-width: 4em;
        }
        button {
            font-size: 1em;
            width: 1.5em;
            text-align: center;
        }
        span {
            display: inline-block;
            text-align: center;
            min-width: 2.5em;
        }
    }

    div.chern-input, div.output-display {
        margin-top: 2em;
    }


    div {
        text-align: left;
    }

    table {
        min-width: 25em;
        width: 100%;

        th:not([colspan="4"]):not([colspan="3"]) {
            background-color: #262233;
            color: #ded;
            padding: 0.5em;
        }

        th[colspan="4"], th[colspan="3"]{
            text-align: left;
            padding-left: 0.5em;
            border-bottom: 0.2em solid #880000;
            border-left: 3em solid transparent;
            background-color: #f2f2f2;
            border-top-left-radius: 2em;
        }

        td.error {
            background-color: red;
            color: white;
            padding: 0.5em;
            font-weight: bold;
            font-style: italic;
        }

        tbody:nth-child(1) {
            td {
                text-align: center;
                font-weight: bold;
            }
        }

        tbody:nth-child(2) {
            &::before
            {
                content: '';
                display: block;
                height: 2em;
            }
            tr:nth-child(even) td:not(.error){
                &:nth-child(4) {
                    background-color: #f6f6ff;
                }
                &:nth-child(3) {
                    background-color: #eef;
                }
                &:nth-child(2) {
                    background-color: #dde;
                }
                &:nth-child(1) {
                    background-color: #cce;
                }
            }
            tr:nth-child(odd) td:not(.error){
                &:nth-child(4) {
                    background-color: #fff;
                }
                &:nth-child(3) {
                    background-color: #fff;
                }
                &:nth-child(2) {
                    background-color: #efeeee;
                }
                &:nth-child(1) {
                    background-color: #dedddd;
                }
            }

            th.increasing::after {
                margin-left: 0.5em;
                font-size: 0.8em;
                content: "▲";
            }

            th.decreasing::after {
                margin-left: 0.5em;
                font-size: 0.8em;
                content: "▼";
            }

            th.ignored::after {
                margin-left: 0.5em;
                font-size: 0.8em;
                content: "▼";
                color: transparent;
            }
        }
    }
}
